$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-9d034ea4a262c13ee34f5ca965986c01005d18b3/rpcs3-v0.0.12-10870-9d034ea4_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '4284cefba4c1bc95f52c811cc6204a507f0f8a3d7a2effbced0e31899ef2f0b1'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
